Bug 509487 - convert_to_char_type_forward feature doesn't work
convert_to_char_type_forward feature doesn't work
Product: Fedora
Classification: Fedora
Component: ibus-anthy (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-07-02 23:09 EDT by Akira TAGOH
Modified: 2009-08-28 18:01 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-08-28 18:01:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch for engine/engine.py (1.80 KB, patch)
2009-08-12 02:02 EDT, fujiwara
no flags Details | Diff

  None (edit)
Description Akira TAGOH 2009-07-02 23:09:14 EDT
Description of problem:
As per ibus-anthy config UI, convert_to_char_type_forward shortcut key are assigned to Muhenkan though, even if pressing Muhenkan during conversion, nothing happens.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.turn on IM
2.type nihongo and press space
3.press Mukenkan
Actual results:
nothing happens.

Expected results:
should toggle converting the candidates to the different character type, such as kanji, hiragana, katakana, latin etc.

Additional info:
Comment 1 fujiwara 2009-08-12 01:57:30 EDT
This is fixed in rawhide.
Comment 2 fujiwara 2009-08-12 02:02:22 EDT
Created attachment 357119 [details]
Patch for engine/engine.py

Back port the fix from trunk.
Comment 4 Fedora Update System 2009-08-14 02:01:45 EDT
ibus-anthy- has been submitted as an update for Fedora 11.
Comment 5 Fedora Update System 2009-08-15 04:23:36 EDT
ibus-anthy- has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ibus-anthy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8610
Comment 6 Fedora Update System 2009-08-28 18:00:37 EDT
ibus-anthy- has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.